changeset 111:6b530ef31a4a

core/filesystem: add some other directories
author David Demelier <markand@malikania.fr>
date Sat, 09 Mar 2019 16:45:41 +0100
parents 6a71c4511911
children 08181daf32da
files core/filesystem/filesystem.sh
diffstat 1 files changed, 4 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/core/filesystem/filesystem.sh	Sat Mar 09 16:07:09 2019 +0100
+++ b/core/filesystem/filesystem.sh	Sat Mar 09 16:45:41 2019 +0100
@@ -17,11 +17,14 @@
 
 source ./filesystem.info
 
-set -e
+set -ex
 
 install -d $DESTDIR/etc
+install -d $DESTDIR/home
 install -d $DESTDIR/mnt
 install -d $DESTDIR/proc
+install -d -m 0700 $DESTDIR/root
+install -d $DESTDIR/run
 install -d $DESTDIR/sys
 install -d $DESTDIR/dev/pts